summaryrefslogtreecommitdiff
path: root/build_stage2.sh
diff options
context:
space:
mode:
authorAndreas Baumann <mail@andreasbaumann.cc>2018-02-18 21:40:12 +0100
committerAndreas Baumann <mail@andreasbaumann.cc>2018-02-18 21:40:12 +0100
commit44f5b7af6444173b16d1495023d80aaef8a9c47a (patch)
treefb470c6efae079bfecfa25d92b3424dc6cfc0058 /build_stage2.sh
parent224768b40915233bf11a863946ffdcb2dda6a63f (diff)
downloadbootstrap32-44f5b7af6444173b16d1495023d80aaef8a9c47a.tar.xz
work on stage 2
Diffstat (limited to 'build_stage2.sh')
-rwxr-xr-xbuild_stage2.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/build_stage2.sh b/build_stage2.sh
new file mode 100755
index 0000000..8cf5dfd
--- /dev/null
+++ b/build_stage2.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+# shellcheck source=./default.conf
+. "./default.conf"
+
+# build all packages for stage 2 using the target system with stage 1
+# packages. packages will be installed with pacman onto the target
+# system once built sucessfully. The artifacts are also copied back
+# to the $STAGE2_PACKAGES to speed up rebuild of the state of the stage 1
+# system in case of destroying it.
+
+PACKAGES="bash"
+
+for p in $PACKAGES; do
+ "$SCRIPT_DIR/build_stage2_package.sh" "$p" || exit 1
+done
+